Bug 9273 - can't get a request slot
can't get a request slot
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.0
All Linux
high Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-02-09 13:52 EST by kirk.erickson
Modified: 2005-10-31 17:00 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-10 14:45:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Notes from my search for a fix (16.40 KB, text/plain)
2000-02-09 14:08 EST, kirk.erickson
no flags Details

  None (edit)
Description kirk.erickson 2000-02-09 13:52:41 EST
I have my home directory on my home machine, and NFS mount it at work:
dsl-tor:/ on /hosts/dsl-tor type nfs (rw,addr=192.111.26.187)
When I attempt to copy a large file to work, or access a large file
(for example, rpm -q -l -p apache-1.3.9-4.src.rpm) a series of the
following messages appear in /var/log/messages at work:

Feb  9 09:24:48 gnu kernel: nfs: task 4235 can't get a request slot

I must reboot the work machine (client) to clear the failure.

Others have reported the failure, but I've searched for days now for
a fix and come up empty handed.  Trond wrote:

The messages themselves just mean that the RPC layer is congested, and
that a backlog of messages waiting to be sent is building up. Whenever
one of these messages times out, it issues the 'task xxx can't get a
request slot' error.

http://www.tux.org/hypermail/linux-kernel/1999week08/0198.html
--------------------------------------------------------------
Please try to update the 'mount' utility, and then use something like
'mount -onolock server:/directory /mountpoint' since the userland NFS
does not support locking. If you still see the 'task xxx can't get a
request slot' message, please contact me directly via email as I am
the one responsible for the NFS changes in ac5.

I've been unable to find a new 'mount' utililty.
I'd like to help isolate the failure, but I don't know how to proceed...
Comment 1 kirk.erickson 2000-02-09 14:08:59 EST
Created attachment 106 [details]
Notes from my search for a fix
Comment 2 kirk.erickson 2000-02-09 16:44:59 EST
Tried turning off autofs, and using amd instead.
Same failure.
Comment 3 kirk.erickson 2000-07-24 15:55:45 EDT
Continued to see this problem under stcok 6.2,
and the latest kernel:  2.2-16-3.

Every Saturday morning, when I back up my home directory
(on my home machine) to my work machine this failure occurs.
The system locks up, and requires a <RESET> and manual
fsck to recover.
Comment 4 Cristian Gafton 2000-08-08 22:33:54 EDT
assigned to johnsonm
Comment 5 Alan Cox 2003-06-10 14:45:06 EDT
Closing old 2.2 related bug. All our errata are now 2.4 based so this bug
doesn't contain information we believe is worth keeping

Note You need to log in before you can comment on or make changes to this bug.